|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||
java.lang.Objectorg.apache.tapestry.record.SessionPropertyPersistenceStrategy
public class SessionPropertyPersistenceStrategy
The most basic PropertyPersistenceStrategy,
which stores properties in the HttpSession as attributes.
| Field Summary | |
|---|---|
static String |
STRATEGY_ID
|
| Constructor Summary | |
|---|---|
SessionPropertyPersistenceStrategy()
|
|
| Method Summary | |
|---|---|
void |
addParametersForPersistentProperties(ServiceEncoding encoding,
boolean post)
Does nothing; session persistence does not make use of query parameters. |
void |
discardStoredChanges(String pageName)
Invoked to discard any stored changes for the specified page. |
Collection |
getStoredChanges(String pageName)
Returns a collection of PropertyChanges. |
void |
setApplicationId(String applicationName)
|
void |
setRequest(WebRequest request)
|
void |
store(String pageName,
String idPath,
String propertyName,
Object newValue)
Stores the new value. |
| Methods inherited from class java.lang.Object |
|---|
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
|---|
public static final String STRATEGY_ID
| Constructor Detail |
|---|
public SessionPropertyPersistenceStrategy()
| Method Detail |
|---|
public void store(String pageName,
String idPath,
String propertyName,
Object newValue)
PropertyPersistenceStrategy
store in interface PropertyPersistenceStrategypageName - the name of the page containing the propertyidPath - the path to the component with the property (may be null)propertyName - the name of the property to be persistednewValue - the new value (which may be null)public Collection getStoredChanges(String pageName)
PropertyPersistenceStrategyPropertyChanges.
These represent prior changes previously stored. The order is not
significant. Must not return null. Does not have to reflect changes made
during the current request (this method is typically invoked as part of
rolling back a page to a prior state, before any further changes are
possible).
getStoredChanges in interface PropertyPersistenceStrategypublic void discardStoredChanges(String pageName)
PropertyPersistenceStrategy
discardStoredChanges in interface PropertyPersistenceStrategy
public void addParametersForPersistentProperties(ServiceEncoding encoding,
boolean post)
addParametersForPersistentProperties in interface PropertyPersistenceStrategyencoding - Service encoding, which indentifies the URL and the query
parameters from which the
ILink will be
created.post - if true, then the link will be used for a post (not a get,
i.e., for a HTML form); this may affect what information is
encoded into the linkPropertyPersistenceStrategySourcepublic void setApplicationId(String applicationName)
public void setRequest(WebRequest request)
|
||||||||||
| PREV CLASS NEXT CLASS | FRAMES NO FRAMES | |||||||||
| SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD | |||||||||